AbstractFacesTag (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.faces.taglib
Class AbstractFacesTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.struts.faces.taglib.AbstractFacesTag

All Implemented Interfaces:
  Tag

Direct Known Subclasses:
  BaseTag, CommandLinkTag, ErrorsTag, FormTag, HtmlTag, MessageTag, StylesheetTag, WriteTag

    public abstract class AbstractFacesTag

extends javax.faces.webapp.UIComponentTag

Abstract base class for custom component tags for the Struts-Faces Integration Library.

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $

Field Summary
`protected String` | `bundle` The servlet context attribute under which our `MessageResources` bundle is stored.
`protected String` | `style` The CSS style(s) used to render this component.
`protected String` | `styleClass` The CSS style class(es) used to render this component.
`protected String` | `value` The literal value to be rendered.

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AbstractFacesTag()`

Method Summary
`abstract String` | `getComponentType()` Return the component type of the component to be created for this tag.
`abstract String` | `getRendererType()` Return the `rendererType` to be used for rendering our component.
`void` | `release()` Release any variables allocated during use of this tag instance.
`protected void` | `setBooleanAttribute(javax.faces.component.UIComponent component, String name, String value)` If the specified attribute value is not `null` use it to either store a value binding expression for the specified attribute name, or store it as the literal value of the attribute.
`void` | `setBundle(String bundle)`
`protected void` | `setIntegerAttribute(javax.faces.component.UIComponent component, String name, String value)` If the specified attribute value is not `null` use it to either store a value binding expression for the specified attribute name, or store it as the literal value of the attribute.
`protected void` | `setProperties(javax.faces.component.UIComponent component)` Override attributes set on this tag instance.
`protected void` | `setStringAttribute(javax.faces.component.UIComponent component, String name, String value)` If the specified attribute value is not `null` use it to either store a value binding expression for the specified attribute name, or store it as the literal value of the attribute.
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setValue(String value)`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, getPathToComponent, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bundle

    protected String bundle

  The servlet context attribute under which our `MessageResources` bundle is stored.

### style

    protected String style

  The CSS style(s) used to render this component.

### styleClass

    protected String styleClass

  The CSS style class(es) used to render this component.

### value

    protected String value

  The literal value to be rendered.

Constructor Detail

### AbstractFacesTag

    public AbstractFacesTag()

Method Detail

### setBundle

    public void setBundle(String bundle)

### setStyle

    public void setStyle(String style)

### setStyleClass

    public void setStyleClass(String styleClass)

### setValue

    public void setValue(String value)

### getComponentType

    public abstract String getComponentType()

  Return the component type of the component to be created for this tag.

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public abstract String getRendererType()

  Return the `rendererType` to be used for rendering our component.

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

### release

    public void release()

  Release any variables allocated during use of this tag instance.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `javax.faces.webapp.UIComponentTag`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Override attributes set on this tag instance.

  Overrides:
    `setProperties` in class `javax.faces.webapp.UIComponentTag`
  Parameters:
    `component` - Component whose attributes should be overridden

### setBooleanAttribute

    protected void setBooleanAttribute(javax.faces.component.UIComponent component,
                                       String name,
                                       String value)

  If the specified attribute value is not `null` use it to either store a value binding expression for the specified attribute name, or store it as the literal value of the attribute.

  Parameters:
    `component` - `UIComponent` whose attribute is to be set
    `name` - Attribute name
    `value` - Attribute value (or `null`)
  Throws:
    `NumberFormatException` - if the value does not contain a parsable integer
    `ReferenceSyntaxException` - if the expression has invalid syntax

### setIntegerAttribute

    protected void setIntegerAttribute(javax.faces.component.UIComponent component,
                                       String name,
                                       String value)

  If the specified attribute value is not `null` use it to either store a value binding expression for the specified attribute name, or store it as the literal value of the attribute.

  Parameters:
    `component` - `UIComponent` whose attribute is to be set
    `name` - Attribute name
    `value` - Attribute value (or `null`)
  Throws:
    `NumberFormatException` - if the value does not contain a parsable integer
    `ReferenceSyntaxException` - if the expression has invalid syntax

### setStringAttribute

    protected void setStringAttribute(javax.faces.component.UIComponent component,
                                      String name,
                                      String value)

  If the specified attribute value is not `null` use it to either store a value binding expression for the specified attribute name, or store it as the literal value of the attribute.

  Parameters:
    `component` - `UIComponent` whose attribute is to be set
    `name` - Attribute name
    `value` - Attribute value (or `null`)
  Throws:
    `ReferenceSyntaxException` - if the expression has invalid syntax

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.